
# fff-scripts
Dieses Git enthält eine Sammlung an Scripten zur Aktualisierung des Zone-git für fff.community.
Außerdem gibt es Skripte, die aus der Forward-Zone eine passende Reverse-Zone für unsere internen RFC 1918 und RFC 4193 Adressen erzeugen.

## Installation
#### Zone-git klonen
Zuerst muss das [dns-git](https://git.freifunk-franken.de/freifunk-franken/dns) geclont werden. Dieses enthält die Zonendatei für fff.community. Wohin dieses git geklont wird, ist egal. Der DNS Server muss Lesezugriff darauf haben.
```
git clone https://git.freifunk-franken.de/freifunk-franken/dns.git /srv/fff-dns
```

#### dns-scripts klonen
Dann können die Skripte geklont werden. Dabei ist aktuell noch die Position wichtig, da das Skript derzeit absolulte Pfade verwendet.
```
git clone https://git.freifunk-franken.de/freifunk-franken/dns-scripts.git /srv/fff-scripts
```

#### Cron anlegen
Schließlich muss noch ein Cron angelegt werden, der regelmäßig das Skript aufruft, welches das Zone-git aktualisiert und die Reverse-Skripte aufruft:
```
1-59/5 *   * * *   /srv/fff-scripts/update-dns.sh /srv/fff-dns
```

#### DNS-Server konfigurieren
Dann muss nur noch der DNS Server, z.B. `bind`, für die entsprechenden Zonen eingerichtet werden:
```
$ cat named.conf.local 
[..]

zone "50.10.in-addr.arpa" {
    type master;
    file "/var/lib/bind/db.50.10";
    allow-query { any; };
};
zone "83.10.in-addr.arpa" {
    type master;
    file "/var/lib/bind/db.83.10";
    allow-query { any; };
};
zone "d.b.9.2.2.0.6.5.3.4.d.f.ip6.arpa" {
    type master;
    file "/var/lib/bind/db.fd43-5602-29bd";
    allow-query { any; };
};

zone "fff.community" {
    type master;
    file "/srv/fff-dns/db.fff.community";
    allow-query { any; };
};

[..]
```